Index: /ruby/trunk/lib/adl_parser/lib/parser.rb
===================================================================
--- /ruby/trunk/lib/adl_parser/lib/parser.rb	(revision 317)
+++ /ruby/trunk/lib/adl_parser/lib/parser.rb	(revision 318)
@@ -2133,6 +2136,6 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 589)
-  def _reduce_109(val, _values, result)
+module_eval(<<'.,.,', 'parser.y', 590)
+  def _reduce_110(val, _values, result)
         @@logger.debug("#{__FILE__}:#{__LINE__}: single_attr_object_complex_head = #{val[0]} at #{@filename}:#{@lineno}")
     result = {:single_attr_object_complex_head => val[0]}
@@ -2142,6 +2145,6 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 594)
-  def _reduce_110(val, _values, result)
+module_eval(<<'.,.,', 'parser.y', 595)
+  def _reduce_111(val, _values, result)
         @@logger.debug("#{__FILE__}:#{__LINE__}: attr_vals = #{val[1]} at #{@filename}:#{@lineno}")
     result = {:single_attr_object_complex_head => val[0], :attr_vals => val[1]}
@@ -2151,8 +2154,8 @@
 .,.,
 
-# reduce 111 omitted
-
-module_eval(<<'.,.,', 'parser.y', 600)
-  def _reduce_112(val, _values, result)
+# reduce 112 omitted
+
+module_eval(<<'.,.,', 'parser.y', 601)
+  def _reduce_113(val, _values, result)
         @@logger.debug("#{__FILE__}:#{__LINE__}: untyped_primitive_object_block = #{val[0]} at #{@filename}:#{@lineno}")
     result = {:untyped_primitive_object_block => val[0]}
@@ -2162,6 +2165,6 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 605)
-  def _reduce_113(val, _values, result)
+module_eval(<<'.,.,', 'parser.y', 606)
+  def _reduce_114(val, _values, result)
         @@logger.debug("#{__FILE__}:#{__LINE__}: type_identifier = #{val[0]}, untyped_primitive_object_block = #{val[1]} at #{@filename}:#{@lineno}")
     result = {:type_identifier => val[0], :untyped_primitive_object_block => val[1]}
@@ -2171,6 +2174,6 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 610)
-  def _reduce_114(val, _values, result)
+module_eval(<<'.,.,', 'parser.y', 611)
+  def _reduce_115(val, _values, result)
         @@logger.debug("#{__FILE__}:#{__LINE__}: primitive_object_block = <#{val[1]}> at #{@filename}:#{@lineno}")
     result = val[1]
@@ -2180,13 +2183,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 615)
-  def _reduce_115(val, _values, result)
-        result = val[0]
-  
-    result
-  end
-.,.,
-
-module_eval(<<'.,.,', 'parser.y', 619)
+module_eval(<<'.,.,', 'parser.y', 616)
   def _reduce_116(val, _values, result)
         result = val[0]
@@ -2196,5 +2191,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 623)
+module_eval(<<'.,.,', 'parser.y', 620)
   def _reduce_117(val, _values, result)
         result = val[0]
@@ -2204,5 +2199,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 627)
+module_eval(<<'.,.,', 'parser.y', 624)
   def _reduce_118(val, _values, result)
         result = val[0]
@@ -2212,5 +2207,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 631)
+module_eval(<<'.,.,', 'parser.y', 628)
   def _reduce_119(val, _values, result)
         result = val[0]
@@ -2220,6 +2215,14 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 635)
+module_eval(<<'.,.,', 'parser.y', 632)
   def _reduce_120(val, _values, result)
+        result = val[0]
+  
+    result
+  end
+.,.,
+
+module_eval(<<'.,.,', 'parser.y', 636)
+  def _reduce_121(val, _values, result)
         @@logger.debug("string_value: #{val[0]} at #{@filename}:#{@lineno}")
     result = val[0]
@@ -2229,6 +2232,6 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 640)
-  def _reduce_121(val, _values, result)
+module_eval(<<'.,.,', 'parser.y', 641)
+  def _reduce_122(val, _values, result)
         @@logger.debug("integer_value: #{val[0]} at #{@filename}:#{@lineno}")
     result = val[0]
@@ -2238,6 +2241,6 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 645)
-  def _reduce_122(val, _values, result)
+module_eval(<<'.,.,', 'parser.y', 646)
+  def _reduce_123(val, _values, result)
         @@logger.debug("real_value: #{val[0]} at #{@filename}:#{@lineno}")
     result = val[0]
@@ -2247,6 +2250,6 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 650)
-  def _reduce_123(val, _values, result)
+module_eval(<<'.,.,', 'parser.y', 651)
+  def _reduce_124(val, _values, result)
         @@logger.debug("boolean_value: #{val[0]} at #{@filename}:#{@lineno}")
     result = val[0]
@@ -2256,6 +2259,6 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 655)
-  def _reduce_124(val, _values, result)
+module_eval(<<'.,.,', 'parser.y', 656)
+  def _reduce_125(val, _values, result)
         @@logger.debug("character_value: #{val[0]} at #{@filename}:#{@lineno}")
     result = val[0]
@@ -2265,6 +2268,6 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 660)
-  def _reduce_125(val, _values, result)
+module_eval(<<'.,.,', 'parser.y', 661)
+  def _reduce_126(val, _values, result)
         @@logger.debug("date_value: #{val[0]} at #{@filename}:#{@lineno}")
     result = val[0]
@@ -2274,6 +2277,6 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 665)
-  def _reduce_126(val, _values, result)
+module_eval(<<'.,.,', 'parser.y', 666)
+  def _reduce_127(val, _values, result)
         @@logger.debug("time_value: #{val[0]} at #{@filename}:#{@lineno}")
     result = val[0]
@@ -2283,6 +2286,6 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 670)
-  def _reduce_127(val, _values, result)
+module_eval(<<'.,.,', 'parser.y', 671)
+  def _reduce_128(val, _values, result)
         @@logger.debug("date_time_value: #{val[0]} at #{@filename}:#{@lineno}")
     result = val[0]
@@ -2292,6 +2295,6 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 675)
-  def _reduce_128(val, _values, result)
+module_eval(<<'.,.,', 'parser.y', 676)
+  def _reduce_129(val, _values, result)
         @@logger.debug("duration_value: #{val[0]} at #{@filename}:#{@lineno}")
     result = val[0]
@@ -2301,6 +2304,6 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 680)
-  def _reduce_129(val, _values, result)
+module_eval(<<'.,.,', 'parser.y', 681)
+  def _reduce_130(val, _values, result)
         @@logger.debug("uri_value: #{val[0]} at #{@filename}:#{@lineno}")
     result = val[0]
@@ -2310,6 +2313,6 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 686)
-  def _reduce_130(val, _values, result)
+module_eval(<<'.,.,', 'parser.y', 687)
+  def _reduce_131(val, _values, result)
         @@logger.debug("string_list_value: #{val[0]} at #{@filename}:#{@lineno}")
     result = val[0]
@@ -2319,13 +2322,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 691)
-  def _reduce_131(val, _values, result)
-        result = val[0]
-  
-    result
-  end
-.,.,
-
-module_eval(<<'.,.,', 'parser.y', 695)
+module_eval(<<'.,.,', 'parser.y', 692)
   def _reduce_132(val, _values, result)
         result = val[0]
@@ -2335,5 +2330,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 699)
+module_eval(<<'.,.,', 'parser.y', 696)
   def _reduce_133(val, _values, result)
         result = val[0]
@@ -2343,5 +2338,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 703)
+module_eval(<<'.,.,', 'parser.y', 700)
   def _reduce_134(val, _values, result)
         result = val[0]
@@ -2351,5 +2346,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 707)
+module_eval(<<'.,.,', 'parser.y', 704)
   def _reduce_135(val, _values, result)
         result = val[0]
@@ -2359,5 +2354,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 711)
+module_eval(<<'.,.,', 'parser.y', 708)
   def _reduce_136(val, _values, result)
         result = val[0]
@@ -2367,5 +2362,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 715)
+module_eval(<<'.,.,', 'parser.y', 712)
   def _reduce_137(val, _values, result)
         result = val[0]
@@ -2375,5 +2370,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 719)
+module_eval(<<'.,.,', 'parser.y', 716)
   def _reduce_138(val, _values, result)
         result = val[0]
@@ -2383,5 +2378,11 @@
 .,.,
 
-# reduce 139 omitted
+module_eval(<<'.,.,', 'parser.y', 720)
+  def _reduce_139(val, _values, result)
+        result = val[0]
+  
+    result
+  end
+.,.,
 
 # reduce 140 omitted
@@ -2395,6 +2396,8 @@
 # reduce 144 omitted
 
-module_eval(<<'.,.,', 'parser.y', 731)
-  def _reduce_145(val, _values, result)
+# reduce 145 omitted
+
+module_eval(<<'.,.,', 'parser.y', 732)
+  def _reduce_146(val, _values, result)
         @@logger.debug("V_TYPE_IDENTIFIER: #{val[0]} at #{@filename}:#{@lineno}")
     result = val[0]
@@ -2404,6 +2407,6 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 736)
-  def _reduce_146(val, _values, result)
+module_eval(<<'.,.,', 'parser.y', 737)
+  def _reduce_147(val, _values, result)
         @@logger.debug("V_GENERIC_TYPE_IDENTIFIER: #{val[0]} at #{@filename}:#{@lineno}")
     result = val[0]
@@ -2413,6 +2416,6 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 742)
-  def _reduce_147(val, _values, result)
+module_eval(<<'.,.,', 'parser.y', 743)
+  def _reduce_148(val, _values, result)
         @@logger.debug("V_STRING: #{val[0]} at #{@filename}:#{@lineno}")
     result = val[0]
@@ -2422,6 +2425,6 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 748)
-  def _reduce_148(val, _values, result)
+module_eval(<<'.,.,', 'parser.y', 749)
+  def _reduce_149(val, _values, result)
         result = [val[0],val[2]]
   
@@ -2430,6 +2433,6 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 752)
-  def _reduce_149(val, _values, result)
+module_eval(<<'.,.,', 'parser.y', 753)
+  def _reduce_150(val, _values, result)
         result = val[0] << val[2]
   
@@ -2438,6 +2441,6 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 756)
-  def _reduce_150(val, _values, result)
+module_eval(<<'.,.,', 'parser.y', 757)
+  def _reduce_151(val, _values, result)
         result = val[0]
   
@@ -2446,18 +2449,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 761)
-  def _reduce_151(val, _values, result)
-        begin
-      integer = Integer(val[0])
-    rescue
-      raise
-    end
-    result = integer
-  
-    result
-  end
-.,.,
-
-module_eval(<<'.,.,', 'parser.y', 770)
+module_eval(<<'.,.,', 'parser.y', 762)
   def _reduce_152(val, _values, result)
         begin
@@ -2472,5 +2462,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 779)
+module_eval(<<'.,.,', 'parser.y', 771)
   def _reduce_153(val, _values, result)
         begin
@@ -2479,4 +2469,17 @@
       raise
     end
+    result = integer
+  
+    result
+  end
+.,.,
+
+module_eval(<<'.,.,', 'parser.y', 780)
+  def _reduce_154(val, _values, result)
+        begin
+      integer = Integer(val[0])
+    rescue
+      raise
+    end
     result = - integer
   
@@ -2485,6 +2488,4 @@
 .,.,
 
-# reduce 154 omitted
-
 # reduce 155 omitted
 
@@ -2509,6 +2510,8 @@
 # reduce 165 omitted
 
-module_eval(<<'.,.,', 'parser.y', 805)
-  def _reduce_166(val, _values, result)
+# reduce 166 omitted
+
+module_eval(<<'.,.,', 'parser.y', 806)
+  def _reduce_167(val, _values, result)
         begin
       real = Float(val[0])
@@ -2522,6 +2525,6 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 814)
-  def _reduce_167(val, _values, result)
+module_eval(<<'.,.,', 'parser.y', 815)
+  def _reduce_168(val, _values, result)
         begin
       real = Float(val[1])
@@ -2535,6 +2538,6 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 823)
-  def _reduce_168(val, _values, result)
+module_eval(<<'.,.,', 'parser.y', 824)
+  def _reduce_169(val, _values, result)
         begin
       real = Float(val[1])
@@ -2548,6 +2551,4 @@
 .,.,
 
-# reduce 169 omitted
-
 # reduce 170 omitted
 
@@ -2572,6 +2573,8 @@
 # reduce 180 omitted
 
-module_eval(<<'.,.,', 'parser.y', 848)
-  def _reduce_181(val, _values, result)
+# reduce 181 omitted
+
+module_eval(<<'.,.,', 'parser.y', 849)
+  def _reduce_182(val, _values, result)
         result = true
   
@@ -2580,6 +2583,6 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 852)
-  def _reduce_182(val, _values, result)
+module_eval(<<'.,.,', 'parser.y', 853)
+  def _reduce_183(val, _values, result)
         result = false
   
@@ -2588,6 +2591,4 @@
 .,.,
 
-# reduce 183 omitted
-
 # reduce 184 omitted
 
@@ -2602,6 +2603,8 @@
 # reduce 189 omitted
 
-module_eval(<<'.,.,', 'parser.y', 867)
-  def _reduce_190(val, _values, result)
+# reduce 190 omitted
+
+module_eval(<<'.,.,', 'parser.y', 868)
+  def _reduce_191(val, _values, result)
         result = val[0]
   
@@ -2610,6 +2613,4 @@
 .,.,
 
-# reduce 191 omitted
-
 # reduce 192 omitted
 
@@ -2686,6 +2687,8 @@
 # reduce 228 omitted
 
-module_eval(<<'.,.,', 'parser.y', 918)
-  def _reduce_229(val, _values, result)
+# reduce 229 omitted
+
+module_eval(<<'.,.,', 'parser.y', 919)
+  def _reduce_230(val, _values, result)
         @@logger.debug("V_ISO8601_DURATION: #{val[0]} at #{@filename}:#{@lineno}")
     result = val[0]
@@ -2695,6 +2698,4 @@
 .,.,
 
-# reduce 230 omitted
-
 # reduce 231 omitted
 
@@ -2719,6 +2720,8 @@
 # reduce 241 omitted
 
-module_eval(<<'.,.,', 'parser.y', 938)
-  def _reduce_242(val, _values, result)
+# reduce 242 omitted
+
+module_eval(<<'.,.,', 'parser.y', 939)
+  def _reduce_243(val, _values, result)
         @@logger.debug("#{__FILE__}:#{__LINE__}: V_QUALIFIED_TERM_CODE_REF = #{val[0]} at #{@filename}:#{@lineno}")
     result = val[0]
@@ -2728,12 +2731,12 @@
 .,.,
 
-# reduce 243 omitted
-
 # reduce 244 omitted
 
 # reduce 245 omitted
 
-module_eval(<<'.,.,', 'parser.y', 948)
-  def _reduce_246(val, _values, result)
+# reduce 246 omitted
+
+module_eval(<<'.,.,', 'parser.y', 949)
+  def _reduce_247(val, _values, result)
         @@logger.debug("#{__FILE__}:#{__LINE__}: V_URI = #{val[0]} at #{@filename}:#{@lineno}")
     result = val[0]
@@ -2743,6 +2746,4 @@
 .,.,
 
-# reduce 247 omitted
-
 # reduce 248 omitted
 
@@ -2823,13 +2824,7 @@
 # reduce 286 omitted
 
-module_eval(<<'.,.,', 'parser.y', 1018)
-  def _reduce_287(val, _values, result)
-        @@logger.debug("#{__FILE__}:#{__LINE__}, V_ATTRIBUTE_IDENTIFIER = #{val[0]} at #{@filename}") 
-  
-    result
-  end
-.,.,
-
-module_eval(<<'.,.,', 'parser.y', 1022)
+# reduce 287 omitted
+
+module_eval(<<'.,.,', 'parser.y', 1019)
   def _reduce_288(val, _values, result)
         @@logger.debug("#{__FILE__}:#{__LINE__}, V_ATTRIBUTE_IDENTIFIER = #{val[0]} at #{@filename}") 
@@ -2839,6 +2834,14 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 1033)
+module_eval(<<'.,.,', 'parser.y', 1023)
   def _reduce_289(val, _values, result)
+        @@logger.debug("#{__FILE__}:#{__LINE__}, V_ATTRIBUTE_IDENTIFIER = #{val[0]} at #{@filename}") 
+  
+    result
+  end
+.,.,
+
+module_eval(<<'.,.,', 'parser.y', 1034)
+  def _reduce_290(val, _values, result)
         result = Range.new(1,1)
   
@@ -2847,6 +2850,6 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 1037)
-  def _reduce_290(val, _values, result)
+module_eval(<<'.,.,', 'parser.y', 1038)
+  def _reduce_291(val, _values, result)
         result = val[3]
   
@@ -2855,6 +2858,6 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 1042)
-  def _reduce_291(val, _values, result)
+module_eval(<<'.,.,', 'parser.y', 1043)
+  def _reduce_292(val, _values, result)
         begin
       integer = Integer(val[0])
@@ -2868,6 +2871,6 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 1051)
-  def _reduce_292(val, _values, result)
+module_eval(<<'.,.,', 'parser.y', 1052)
+  def _reduce_293(val, _values, result)
         begin
       from_integer = Integer(val[0])
@@ -2882,13 +2885,11 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 1062)
-  def _reduce_293(val, _values, result)
-        result = OpenEhr::AM::Archetype::Constraint_Model::CARDINALITY.new
-  
-    result
-  end
-.,.,
-
-# reduce 294 omitted
+module_eval(<<'.,.,', 'parser.y', 1063)
+  def _reduce_294(val, _values, result)
+        result = OpenEhr::AM::Archetype::ConstraintModel::CARDINALITY.new
+  
+    result
+  end
+.,.,
 
 # reduce 295 omitted
@@ -2906,13 +2907,7 @@
 # reduce 301 omitted
 
-module_eval(<<'.,.,', 'parser.y', 1076)
-  def _reduce_302(val, _values, result)
-        result = val[0]
-  
-    result
-  end
-.,.,
-
-module_eval(<<'.,.,', 'parser.y', 1080)
+# reduce 302 omitted
+
+module_eval(<<'.,.,', 'parser.y', 1077)
   def _reduce_303(val, _values, result)
         result = val[0]
@@ -2922,8 +2917,16 @@
 .,.,
 
-# reduce 304 omitted
-
-module_eval(<<'.,.,', 'parser.y', 1087)
-  def _reduce_305(val, _values, result)
+module_eval(<<'.,.,', 'parser.y', 1081)
+  def _reduce_304(val, _values, result)
+        result = val[0]
+  
+    result
+  end
+.,.,
+
+# reduce 305 omitted
+
+module_eval(<<'.,.,', 'parser.y', 1088)
+  def _reduce_306(val, _values, result)
         case val[3]
     when OpenEhr::RM::Support::AssumedTypes::Interval
@@ -2937,8 +2940,8 @@
 .,.,
 
-# reduce 306 omitted
-
-module_eval(<<'.,.,', 'parser.y', 1098)
-  def _reduce_307(val, _values, result)
+# reduce 307 omitted
+
+module_eval(<<'.,.,', 'parser.y', 1099)
+  def _reduce_308(val, _values, result)
         result = val[0]
   
@@ -2947,6 +2950,6 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 1102)
-  def _reduce_308(val, _values, result)
+module_eval(<<'.,.,', 'parser.y', 1103)
+  def _reduce_309(val, _values, result)
         result = OpenEhr::RM::Support::AssumedTypes::Interval.new(val[0], val[2])
   
@@ -2955,6 +2958,4 @@
 .,.,
 
-# reduce 309 omitted
-
 # reduce 310 omitted
 
@@ -3041,38 +3042,40 @@
 # reduce 351 omitted
 
-module_eval(<<'.,.,', 'parser.y', 1168)
-  def _reduce_352(val, _values, result)
-        result = OpenEhr::AM::Archetype::Constraint_Model::Primitive::C_BOOLEAN.new(:true_valid => true)
-  
-    result
-  end
-.,.,
-
-module_eval(<<'.,.,', 'parser.y', 1172)
+# reduce 352 omitted
+
+module_eval(<<'.,.,', 'parser.y', 1169)
   def _reduce_353(val, _values, result)
-        result = OpenEhr::AM::Archetype::Constraint_Model::Primitive::C_BOOLEAN.new(:true_valid => false)
-  
-    result
-  end
-.,.,
-
-module_eval(<<'.,.,', 'parser.y', 1176)
+        result = OpenEhr::AM::Archetype::ConstraintModel::Primitive::C_BOOLEAN.new(:true_valid => true)
+  
+    result
+  end
+.,.,
+
+module_eval(<<'.,.,', 'parser.y', 1173)
   def _reduce_354(val, _values, result)
-        result = OpenEhr::AM::Archetype::Constraint_Model::Primitive::C_BOOLEAN.new(:true_valid => true,:false_valid => false)
-  
-    result
-  end
-.,.,
-
-module_eval(<<'.,.,', 'parser.y', 1180)
+        result = OpenEhr::AM::Archetype::ConstraintModel::Primitive::C_BOOLEAN.new(:true_valid => false)
+  
+    result
+  end
+.,.,
+
+module_eval(<<'.,.,', 'parser.y', 1177)
   def _reduce_355(val, _values, result)
-        result = OpenEhr::AM::Archetype::Constraint_Model::Primitive::C_BOOLEAN.new(:true_valid => false,:false_valid => true)
-  
-    result
-  end
-.,.,
-
-module_eval(<<'.,.,', 'parser.y', 1185)
+        result = OpenEhr::AM::Archetype::ConstraintModel::Primitive::C_BOOLEAN.new(:true_valid => true,:false_valid => false)
+  
+    result
+  end
+.,.,
+
+module_eval(<<'.,.,', 'parser.y', 1181)
   def _reduce_356(val, _values, result)
+        result = OpenEhr::AM::Archetype::ConstraintModel::Primitive::C_BOOLEAN.new(:true_valid => false,:false_valid => true)
+  
+    result
+  end
+.,.,
+
+module_eval(<<'.,.,', 'parser.y', 1186)
+  def _reduce_357(val, _values, result)
         result = val[0]
   
@@ -3081,13 +3084,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 1189)
-  def _reduce_357(val, _values, result)
-        raise 'Not implemented yet'
-  
-    result
-  end
-.,.,
-
-module_eval(<<'.,.,', 'parser.y', 1193)
+module_eval(<<'.,.,', 'parser.y', 1190)
   def _reduce_358(val, _values, result)
         raise 'Not implemented yet'
@@ -3097,5 +3092,11 @@
 .,.,
 
-# reduce 359 omitted
+module_eval(<<'.,.,', 'parser.y', 1194)
+  def _reduce_359(val, _values, result)
+        raise 'Not implemented yet'
+  
+    result
+  end
+.,.,
 
 # reduce 360 omitted
@@ -3107,6 +3108,8 @@
 # reduce 363 omitted
 
-module_eval(<<'.,.,', 'parser.y', 1205)
-  def _reduce_364(val, _values, result)
+# reduce 364 omitted
+
+module_eval(<<'.,.,', 'parser.y', 1206)
+  def _reduce_365(val, _values, result)
         @in_interval = false
     @@logger.debug("#{__FILE__}:#{__LINE__}, #{val[0]}|#{val[2]} at #{@filename}") 
@@ -3116,13 +3119,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 1212)
-  def _reduce_365(val, _values, result)
-          result = val[0]
-  
-    result
-  end
-.,.,
-
-module_eval(<<'.,.,', 'parser.y', 1216)
+module_eval(<<'.,.,', 'parser.y', 1213)
   def _reduce_366(val, _values, result)
           result = val[0]
@@ -3132,6 +3127,14 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 1222)
+module_eval(<<'.,.,', 'parser.y', 1217)
   def _reduce_367(val, _values, result)
+          result = val[0]
+  
+    result
+  end
+.,.,
+
+module_eval(<<'.,.,', 'parser.y', 1223)
+  def _reduce_368(val, _values, result)
         @@logger.debug("#{__FILE__}:#{__LINE__}, START_TERM_CODE_CONSTRAINT = #{val[0]} at #{@filename}")
     @@logger.debug("#{__FILE__}:#{__LINE__}, term_code_body = #{val[1]}")
@@ -3143,19 +3146,11 @@
 .,.,
 
-# reduce 368 omitted
-
 # reduce 369 omitted
 
 # reduce 370 omitted
 
-module_eval(<<'.,.,', 'parser.y', 1238)
-  def _reduce_371(val, _values, result)
-          result = val[0]
-  
-    result
-  end
-.,.,
-
-module_eval(<<'.,.,', 'parser.y', 1243)
+# reduce 371 omitted
+
+module_eval(<<'.,.,', 'parser.y', 1239)
   def _reduce_372(val, _values, result)
           result = val[0]
@@ -3165,6 +3160,14 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 1247)
+module_eval(<<'.,.,', 'parser.y', 1244)
   def _reduce_373(val, _values, result)
+          result = val[0]
+  
+    result
+  end
+.,.,
+
+module_eval(<<'.,.,', 'parser.y', 1248)
+  def _reduce_374(val, _values, result)
         @@logger.debug("#{__FILE__}:#{__LINE__}, V_ATTRIBUTE_IDENTIFIER = #{word} at #{@filename}")
       result = val[0]
@@ -3174,7 +3177,7 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 1258)
-  def _reduce_374(val, _values, result)
-        result = val[0]
+module_eval(<<'.,.,', 'parser.y', 1259)
+  def _reduce_375(val, _values, result)
+        result = OpenEhr::AM::Archetype::ConstraintModel::Primitive::C_DURATION.new #val[0]
   
     result
